Class: Aws::Organizations::Types::ListEffectivePolicyValidationErrorsResponse

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-organizations/lib/aws-sdk-organizations/types.rb

Overview

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#account_idString

The ID of the specified account.

Returns:

  • (String)


3651
3652
3653
3654
3655
3656
3657
3658
3659
3660
# File 'gems/aws-sdk-organizations/lib/aws-sdk-organizations/types.rb', line 3651

class ListEffectivePolicyValidationErrorsResponse < Struct.new(
  :account_id,
  :policy_type,
  :path,
  :evaluation_timestamp,
  :next_token,
  :effective_policy_validation_errors)
  SENSITIVE = []
  include Aws::Structure
end

#effective_policy_validation_errorsArray<Types::EffectivePolicyValidationError>

The EffectivePolicyValidationError object contains details about the validation errors that occurred when generating or enforcing an effective policy, such as which policies contributed to the error and location of the error.



3651
3652
3653
3654
3655
3656
3657
3658
3659
3660
# File 'gems/aws-sdk-organizations/lib/aws-sdk-organizations/types.rb', line 3651

class ListEffectivePolicyValidationErrorsResponse < Struct.new(
  :account_id,
  :policy_type,
  :path,
  :evaluation_timestamp,
  :next_token,
  :effective_policy_validation_errors)
  SENSITIVE = []
  include Aws::Structure
end

#evaluation_timestampTime

The time when the latest effective policy was generated for the specified account.

Returns:

  • (Time)


3651
3652
3653
3654
3655
3656
3657
3658
3659
3660
# File 'gems/aws-sdk-organizations/lib/aws-sdk-organizations/types.rb', line 3651

class ListEffectivePolicyValidationErrorsResponse < Struct.new(
  :account_id,
  :policy_type,
  :path,
  :evaluation_timestamp,
  :next_token,
  :effective_policy_validation_errors)
  SENSITIVE = []
  include Aws::Structure
end

#next_tokenString

If present, indicates that more output is available than is included in the current response. Use this value in the NextToken request parameter in a subsequent call to the operation to get the next part of the output. You should repeat this until the NextToken response element comes back as null.

Returns:

  • (String)


3651
3652
3653
3654
3655
3656
3657
3658
3659
3660
# File 'gems/aws-sdk-organizations/lib/aws-sdk-organizations/types.rb', line 3651

class ListEffectivePolicyValidationErrorsResponse < Struct.new(
  :account_id,
  :policy_type,
  :path,
  :evaluation_timestamp,
  :next_token,
  :effective_policy_validation_errors)
  SENSITIVE = []
  include Aws::Structure
end

#pathString

The path in the organization where the specified account exists.

Returns:

  • (String)


3651
3652
3653
3654
3655
3656
3657
3658
3659
3660
# File 'gems/aws-sdk-organizations/lib/aws-sdk-organizations/types.rb', line 3651

class ListEffectivePolicyValidationErrorsResponse < Struct.new(
  :account_id,
  :policy_type,
  :path,
  :evaluation_timestamp,
  :next_token,
  :effective_policy_validation_errors)
  SENSITIVE = []
  include Aws::Structure
end

#policy_typeString

Returns:

  • (String)


3651
3652
3653
3654
3655
3656
3657
3658
3659
3660
# File 'gems/aws-sdk-organizations/lib/aws-sdk-organizations/types.rb', line 3651

class ListEffectivePolicyValidationErrorsResponse < Struct.new(
  :account_id,
  :policy_type,
  :path,
  :evaluation_timestamp,
  :next_token,
  :effective_policy_validation_errors)
  SENSITIVE = []
  include Aws::Structure
end